Authorization: Bearer ********************curl --location --request PUT '/items/' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "Hard Drive",
"rate": 1.23,
"description": "The New York State Department of Taxation and Finance",
"tax_id": "982000000566009",
"purchase_tax_rule_id": 127919000000106780,
"sales_tax_rule_id": 127919000000106780,
"tax_percentage": 10.5,
"hsn_or_sac": "string",
"sat_item_key_code": "string",
"unitkey_code": "string",
"sku": "s12345",
"product_type": "goods",
"is_taxable": true,
"tax_exemption_id": "460000000076002",
"purchase_tax_exemption_id": "string",
"account_id": "460000000000358",
"avatax_tax_code": 982000000037049,
"avatax_use_code": 982000000037049,
"item_type": " ",
"purchase_description": " ",
"purchase_rate": " ",
"purchase_account_id": " ",
"inventory_account_id": " ",
"vendor_id": " ",
"reorder_level": " ",
"locations": [
{
"location_id": "460000000038080",
"initial_stock": " ",
"initial_stock_rate": " "
}
],
"item_tax_preferences": [
{
"tax_id": 982000000037049,
"tax_specification": "intra"
}
],
"custom_fields": [
{
"customfield_id": "46000000012845",
"value": "Normal"
}
]
}'{
"code": 0,
"message": "Item details have been saved.",
"item": {
"item_id": 460000000000108,
"name": "Hard Drive",
"status": "active",
"description": "The New York State Department of Taxation and Finance",
"rate": 1.23,
"unit": "100GB",
"hsn_or_sac": "string",
"sat_item_key_code": "string",
"unitkey_code": "string",
"tax_id": "982000000566009",
"purchase_tax_rule_id": 127919000000106780,
"sales_tax_rule_id": 127919000000106780,
"tax_name": "Sales Group",
"tax_percentage": 10.5,
"tax_type": "tax",
"sku": "s12345",
"product_type": "goods",
"item_tax_preferences": [
{
"tax_id": 982000000037049,
"tax_specification": "intra"
}
],
"locations": {
"address": {
"city": "New York City",
"state": "New York",
"country": "string",
"attention": "string",
"state_code": "NY",
"street_address1": "No:234,90 Church Street",
"street_address2": "McMillan Avenue"
},
"email": "willsmith@bowmanfurniture.com",
"is_primary": true,
"phone": "+1-925-921-9201",
"status": "active",
"location_id": "460000000038080",
"location_name": "string",
"type": "customer",
"parent_location_id": "460000000041010",
"associated_series_ids": [
"982000000870911",
"982000000870915"
],
"auto_number_generation_id": "982000000870911",
"associated_users": [
{
"user_id": "460000000036868",
"user_name": "John Doe"
}
],
"tax_settings_id": "460000000038080"
}
}
}